<template>
  <v-toolbar
    dark
    style="box-shadow: none; border-radius: 5px"
    class="mb-4 px-1"
    dense
  >
    <v-toolbar-title class="text-h6">{{ $t(i18n) }}</v-toolbar-title>
    <v-spacer />
    <div style="margin-right: -16px">
      <GDropDownMenu
        v-if="availableElements"
        i18n="form.addElement"
        :available-elements="availableElements"
        icon="add"
        small-btn
        color="white"
        @addElement="$emit('addDropDownMenuElement', $event)"
      />
      <GIconBtn
        v-if="addBtnHint"
        :i18n="addBtnHint"
        icon="add"
        small-btn
        @click="$emit('addElement')"
      />
    </div>
  </v-toolbar>
</template>

<script>
import GDropDownMenu from "~/components/App/Common/GDropDownMenu.vue";
import GIconBtn from "~/components/App/Common/GIconBtn.vue";

export default {
  name: "GToolbar",
  components: { GIconBtn, GDropDownMenu },
  props: {
    i18n: {
      type: String,
    },
    availableElements: Array,
    addBtnHint: String,
  },
};
</script>

<style scoped></style>
